VWAKEUP(9)

NAME
vwakeup - update outstanding I/O count and do wakeup on a vnode

SYNOPSIS
#include <sys/param.h>
#include <sys/vnode.h>
void
vwakeup(struct vnode *vp);

DESCRIPTION
The vwakeup() function updates the number of outstanding I/O operations on the target vnode, stored in its v_numoutput field. If the target vnode has the VBIOWAIT flag set in its v_bioflag field and has no outstanding I/O operations remaining, a wakeup(9) is performed as well.

The vwakeup() function must be called at splbio(9).

SEE ALSO
panic(9), splbio(9), vnode(9), vwaitforio(9), wakeup(9)

HISTORY
This document first appeared in OpenBSD 3.7.

CAVEATS
Calling vwakeup() more times than the number of outstanding I/O operations will cause the system to panic(9).